=== debian/changelog ===
lomiri-calendar-app (1.0.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-sync-monitor-loa.
    + Add to D: qml-module-lomiri-onlineaccounts-client, qml-module-sso-
      onlineaccounts.
  * debian/patches:
    + Add 1002_Lomiri-OnlineAccounts-must-be-SSO-OnlineAccounts.patch. Fix
      using the wrong OnlineAccounts implementations.
    + Add 0001_fix-providers-not-shown-when-adding-a-new-online-account.patch.
      Fix providers not shown when adding a new Online Account. the
      applicationId must match the filename provided with the LOA .application.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2024 07:44:24 +0200

lomiri-calendar-app (1.0.2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1078908).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 17 Aug 2024 17:03:46 +0200
