=== debian/control ===
Source: lomiri-calendar-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               qtcontacts5-plugin-sqlite-dev,
               qml-module-qtorganizer,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-calendar-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calendar-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calendar-app

Package: lomiri-calendar-app
Architecture: all
Depends: ${misc:Depends},
         libqt5contact5-plugin-sqlite,
         qmlscene,
         qml-module-qt-labs-settings,
         qml-module-qtcontacts,
         qml-module-qtorganizer,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts-client,
         qml-module-lomiri-syncmonitor,
         qml-module-sso-onlineaccounts,
         qtorganizer5-eds,
         suru-icon-theme,
Recommends: lomiri-sync-monitor-loa,
Description: Calendar App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Calendar App.
