## lomiri-calendar-app 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.0.2 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -35,20 +35,17 @@
 set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
 set(APPLICATION_FILE "${PROJECT_NAME}.application")
 set(URLS_FILE "${PROJECT_NAME}.url-dispatcher")
-set(MAIN_QML qml/calendar.qml)
-set(ICON_FILE assets/lomiri-calendar-app@30.png)
-set(SPLASH_FILE assets/lomiri-calendar-app-splash.svg)
+set(ICON_FILE lomiri-calendar-app@30.png)
+set(SPLASH_FILE lomiri-calendar-app-splash.svg)
 set(AUTOPILOT_DIR "lomiri_calendar_app")
 set(APP_HARDCODE "lomiri-calendar-app")
-
-set(CLICK_ARCH "all")
 
 if(CLICK_MODE)
     set(CMAKE_INSTALL_PREFIX /)
     set(DATA_DIR /)
     set(ICON ${ICON_FILE})
     set(SPLASH ${SPLASH_FILE})
-    set(EXEC "lomiri-calendar-app-migrate.py qmlscene %U ${MAIN_QML}")
+    set(EXEC "lomiri-calendar-app-migrate.py ${CMAKE_INSTALL_BINDIR}/${APP_HARDCODE} %U")
     set(DESKTOP_DIR ${DATA_DIR})
     set(URLS_DIR ${DATA_DIR})
     set(APPLICATION_DIR ${DATA_DIR})
@@ -56,6 +53,7 @@
     install(FILES
         ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
         ${CLICK_NAME}.apparmor
+        ${CLICK_NAME}.contenthub
         push-helper
         push-helper.json
         calendar-helper-apparmor.json
@@ -65,17 +63,18 @@
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
     set(EXEC ${APP_HARDCODE})
-    configure_file(${APP_HARDCODE}.in
-        ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-        DESTINATION ${CMAKE_INSTALL_BINDIR})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)
+    install(FILES
+            push-helper
+            RENAME ${APP_HARDCODE}
+            DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/lomiri-push-service/legacy-helpers)
+    install(FILES calendar.ubports.contenthub
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers/ RENAME lomiri-calendar-app)
 endif(CLICK_MODE)
 
-install(PROGRAMS lomiri-calendar-app-migrate.py DESTINATION ${DATA_DIR})
-
+# Handle i18n in the desktop file
 configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
 
 add_custom_target(${DESKTOP_FILE} ALL
@@ -86,13 +85,14 @@
             -d ${CMAKE_SOURCE_DIR}/po
 )
 
+install(PROGRAMS lomiri-calendar-app-migrate.py DESTINATION ${DATA_DIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} DESTINATION ${DESKTOP_DIR})
-
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
-
+install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
+install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
 install(FILES ${APPLICATION_FILE} DESTINATION ${APPLICATION_DIR})
 
-install(DIRECTORY qml assets DESTINATION ${DATA_DIR})
 
+add_subdirectory(src)
 add_subdirectory(po)
 add_subdirectory(tests)
