=== debian/changelog ===
lomiri-calendar-app (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-providers-not-shown-when-adding-a-new-online-account.patch,
      1001_non-click-mode-install-push-helper.patch and 1002_Lomiri-
      OnlineAccounts-must-be-SSO-OnlineAccounts.patch. All applied upstream.
    + Add 0002_Migrate-to-new-QtContact-sqlite-backend.patch, part of
      QtContacts-Sqlite port of lomiri-addressbook-app.
    + Add 1001_typo-fixes.patch.
  * debian/control:
    + Turn lomiri-calendar-app bin:pkg into arch:any package.
    + Add D (lomiri-calendar-app): qml-module-lomiri-contacts.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 11:29:04 +0100
