=== debian/changelog ===
lomiri-calendar-app (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fixes.patch. Applied upstream.
  * debian/lomiri-calendar-app.lintian-overrides:
    + Ignore missing-dependency-on-libc and missing-dependency-on-libstdc++.
      The missing linkage is true, but can happen with Qt applications.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Nov 2024 12:42:07 +0100
