=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-calendar-app
 
 Package: lomiri-calendar-app
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          libqt5contact5-plugin-sqlite,
-         qmlscene,
          qml-module-qt-labs-settings,
          qml-module-qtcontacts,
          qml-module-qtorganizer,
          qml-module-lomiri-components,
+         qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
          qml-module-lomiri-syncmonitor,
          qml-module-sso-onlineaccounts,
