## lomiri-calendar-app 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.1 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -81,7 +81,6 @@
     COMMENT "Merging translations into ${DESKTOP_FILE}..."
     COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
             --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
-            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )
