=== src/CMakeLists.txt ===
set(calendar_app_SRCS
    main.cpp
)

qt5_add_resources(QT_RESOURCES qml/resources.qrc)
qt5_add_resources(QT_RESOURCES assets/assets.qrc)

add_executable(${APP_HARDCODE}
    ${calendar_app_SRCS}
    ${QT_RESOURCES}
    )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )
target_link_libraries(${APP_HARDCODE}
    Qt5::Core
    Qt5::Gui
    Qt5::Qml
    Qt5::Quick
)

install(TARGETS ${APP_HARDCODE}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )
install(DIRECTORY assets DESTINATION ${DATA_DIR})
