=== debian/changelog ===
lomiri-calendar-app (1.1.2-4) unstable; urgency=medium

  * debian/patches:
    + Add 2003_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.
    + Add many more patches from upstream's feature/mkcal and main branch (0018
      - 0024). Rename 0020 patch to 0050.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 16:09:47 +0100

lomiri-calendar-app (1.1.2-3) unstable; urgency=medium

  * debian/patches:
    + Add 0018_google-calendar-support.patch. Add Google calendar support.
  * debian/control:
    + Adjust R:/S: for LOA components.
    + Drop from D: qml-module-lomiri-syncmonitor.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jan 2025 18:29:20 +0100

lomiri-calendar-app (1.1.2-2) unstable; urgency=medium

  * debian/patches: Cherry-pick various patches from upstream.
    + Transition from EDS to mkCal QtOrganizer backend:
      0011_EDS-mkCal-Initial-commit.patch
      0012_fix-allDay-events-not-shown.patch
      0013_Use-ButeoSync-profiles-for-sync-management.patch
      0015_Support-caldav-service.-Needed-by-buteo-caldav-plugi.patch
      0016_Clean-up-sync-monitor-usage.patch
      0017_Use-account-supported-metadata-instead-of-eds-metada.patch
    + Drop not required-any-mode ical.js file:
      0020_remove-ical-js.patch
    + Fix LOA providers not show in Calendar app:
      2002_fix-providers-not-shown-when-adding-new-OnlineAccount.patch
  * debian/control:
    + Adjust to EDS -> mkCal backend switch for QtOrganizer.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 19 Dec 2024 13:18:01 +0100

lomiri-calendar-app (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Nov 2024 12:25:46 +0100
