=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                intltool,
                qtcontacts5-plugin-sqlite-dev,
+               qml-module-buteo-profiles,
                qml-module-qtorganizer,
                qml-module-qtquick2,
                qml-module-qttest,
@@ -23,17 +24,21 @@
 Architecture: any
 Depends: ${misc:Depends},
          libqt5contact5-plugin-sqlite,
+         qml-module-buteo-profiles,
          qml-module-qt-labs-settings,
-         qml-module-qtcontacts,
-         qml-module-qtorganizer,
+         qml-module-qtcontacts (>=  5.0~git20201102.f9a8f0fc+dfsg1-6~),
+         qml-module-qtorganizer (>=  5.0~git20201102.f9a8f0fc+dfsg1-6~),
          qml-module-lomiri-components,
          qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
-         qml-module-lomiri-syncmonitor,
          qml-module-sso-onlineaccounts,
-         qtorganizer5-eds,
+         qtorganizer5-mkcal,
          suru-icon-theme,
-Recommends: lomiri-sync-monitor-loa,
+Recommends:
+ lomiri-online-accounts-plugin-nextcloud-caldav,
+ lomiri-online-accounts-plugin-owncloud-caldav,
+Suggests:
+ lomiri-online-acconts-plugin-google,
 Description: Calendar App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
