=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_auto_test:
	# unit tests are failing, out of sync with the codebase

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/share/lomiri-calendar-app/lomiri-calendar-app-migrate.py

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/*/usr/lib/lomiri-push-service/legacy-helpers/lomiri-calendar-app

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
