## lomiri-calendar-app 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.2 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.3 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -12,6 +12,8 @@
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" on)
+set(CLICK_VERSION "${PROJECT_VERSION}"
+    CACHE STRING "Version of built Click. Meaningful only in Click mode.")
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -62,7 +64,7 @@
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
-    set(EXEC ${APP_HARDCODE})
+    set(EXEC "${APP_HARDCODE} %U")
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     set(APPLICATION_DIR ${CMAKE_INSTALL_DATADIR}/accounts/applications)
