=== debian/changelog ===
lomiri-calendar-app (1.1.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0025_fix-default-calendar-change.patch. Fix changing the default
      calendar.
  * debian/control:
    + Update D: on qtorganizer5-mkcal to version
      (>= 0.1.0~git20250424.45906b1-1~), required for default calendar changing
      to be fully fixed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 16:35:42 +0200

lomiri-calendar-app (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_Remove-deprecated-tabs.patch and 0023_Ensure-PageStack-is-
      initialized-before-pushing-conte.patch. Applied upstream.
    + Trivial rebase of 0011_EDS-mkCal-Initial-commit.patch and 0024-eds-mkcal-
      Allow-to-open-up-directly-an-event.patch.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Apr 2025 14:17:28 +0200
