=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qml-module-lomiri-components,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-calendar-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-calendar-app.git
@@ -32,7 +32,7 @@
          qml-module-lomiri-contacts,
          qml-module-lomiri-onlineaccounts-client,
          qml-module-sso-onlineaccounts,
-         qtorganizer5-mkcal,
+         qtorganizer5-mkcal (>= 0.1.0~git20250424.45906b1-1~),
          suru-icon-theme,
 Recommends:
  lomiri-online-accounts-plugin-nextcloud-caldav,
