## lomiri-calendar-app 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-calendar-app VERSION 1.1.3 LANGUAGES CXX)
+project(lomiri-calendar-app VERSION 1.1.4 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
