=== po/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
         --from-code=UTF-8
         --language=Desktop
+        --keyword --keyword=Name --keyword=Comment --keyword=Keywords
         --package-name='${PROJECT_NAME}'
         -D ${CMAKE_BINARY_DIR}
         ${DESKTOP_FILE}.in
