=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
+configure_file(config.hpp.in "${CMAKE_CURRENT_BINARY_DIR}/config.hpp" @ONLY)
+
 set(calendar_app_SRCS
     main.cpp
+    "${CMAKE_CURRENT_BINARY_DIR}/config.hpp"
 )
 
 qt5_add_resources(QT_RESOURCES qml/resources.qrc)
