=== debian/changelog ===
lomiri-calendar-app (1.1.4-2) unstable; urgency=medium

  * debian/patches:
    + Drop 2002_fix-providers-not-shown-when-adding-new-OnlineAccount.patch and
      add 0003_Set-ApplicationID-according-to-APP_ID-env-var.patch instead.
      Support overriding APP_ID via env var (default to CMake @PROJECT_NAME@).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Jul 2025 23:16:37 +0200

lomiri-calendar-app (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0050_remove-ical-js.patch. Drop 0050_remove-ical-js.patch. Applied
      upstream.
    + Rebase 0011_EDS-mkCal-Initial-commit.patch.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Enable all hardening flags.
  * debian/control:
    + Add ${shlibs:Depends} to D: field. Drop lintian overrides masquerading
      that issue. (Silly me).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 12:46:56 +0200
