=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Package: lomiri-calendar-app
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          libqt5contact5-plugin-sqlite,
          qml-module-buteo-profiles,
          qml-module-qt-labs-settings,
